Skip to main content
GET
/
v2
/
organizations
/
{orgId}
/
attributes
/
slugs
/
{attributeSlug}
/
options
/
assigned
Get all assigned attribute options by attribute slug
curl --request GET \
  --url https://api.cal.com/v2/organizations/{orgId}/attributes/slugs/{attributeSlug}/options/assigned \
  --header 'Authorization: <authorization>'
import requests

url = "https://api.cal.com/v2/organizations/{orgId}/attributes/slugs/{attributeSlug}/options/assigned"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://api.cal.com/v2/organizations/{orgId}/attributes/slugs/{attributeSlug}/options/assigned', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "data": [
    {
      "id": "attr_option_id",
      "attributeId": "attr_id",
      "value": "option_value",
      "slug": "option-slug",
      "assignedUserIds": [
        124,
        224
      ]
    }
  ]
}

Headers

Authorization
string
required

value must be Bearer <token> where <token> is api key prefixed with cal_

Path Parameters

orgId
number
required
attributeSlug
string
required

Query Parameters

skip
number

Number of responses to skip

take
number

Number of responses to take

assignedOptionIds
string[]

Filter by assigned attribute option ids. ids must be separated by a comma.

Example:

"?assignedOptionIds=aaaaaaaa-bbbb-cccc-dddd-eeeeee1eee,aaaaaaaa-bbbb-cccc-dddd-eeeeee2eee"

teamIds
number[]

Filter by teamIds. Team ids must be separated by a comma.

Example:

"?teamIds=100,200"

Response

200 - application/json
status
enum<string>
required
Available options:
success,
error
Example:

"success"

data
object[]
required